<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateListingProfessionalExperiencesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('listing_professional_experiences', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('listing_id');
	    $table->text('position');
            $table->text('employer');
            $table->integer('year_started');
            $table->integer('year_ended')->nullable;
	    $table->boolean('primary');
	    $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('listing_professional_experiences');
    }
}
